Subject: RE: Server address assignment policies Re: [was: Temporary Addres s Solution]

From: [email-masked]
Date: Fri, 9 Mar 2001 10:59:39 -0600

I am ok with that.  But... my concern is that the IETF in any part of our
community TELL USERS WHAT TO DO.  That is unacceptable.  Thats all I am
saying.  Its the users business what they want to do with what we develop.
They pay the bills.  Without them are role is irrelevant.  One user will
want to use Ipv6 addresses one way another user another way.  If we do
anything that does not permit that freedom of choice then we are crossing a
line from building standards to telling users what they get.  That being
said the options we give them must be possible to implement in a scalable
manner, be interoperable across multiple vendors, etc...  Thats fine.  It
the fine line we need to be careful of here is my concern.

/jim

> -----Original Message-----
> From: ext Thomas Narten [mailto:[email-masked]]
> Sent: Friday,March 09,2001 11:36 AM
> To: DHCPv6 discussion list
> Subject: Re: Server address assignment policies Re: [was: Temporary
> Addres s Solution] 
> 
> 
> Jim,
> 
> > It has and always should be how any server implementation 
> sets up its
> > database or configures how it assigns addresses is 
> implementation specific.
> > I am highly confident all implementors will agree with me.  
>  But I do not
> > think your asking us to do this?
> 
> I think it makes sense to ask the question whether it should just be
> left to implementations (saying very little) or whether the WG thinks
> it a good idea to describe some possible implementations (and when I
> say implementations, I'm really saying behaviors on how addresses are
> assigned, e.g., random vs sequential addresses vs. something
> else). The WG might also think it good to not just describe the
> possibilities but recommend those that a server (say) SHOULD provide.
> 
> I'd really like to get a perspective here from folks that are shipping
> DHCPv4 servers today and whether this makes sense.
> 
> Also, I'm asking, not saying.
> 
> Thomas
>

---

From: "Bernie Volz (EUD)" <[email-masked]>
Date: Fri, 9 Mar 2001 13:47:52 -0600

Jim/Thomas:

Since I'm responsible for raising this issue, let me say that all I was after is providing some guidelines on how a server is supposed to select addresses. Only guidelines, such as "A server "MAY" assign addresses using any mechanism but what follows is a discussion of possible techniques and their implications ...". This might include a discussion about whether to set or clear the "u" (universal/local) bit based on how the address is generated (see RFC 2373, Section 2.5.1). DHCPv6 servers might also be given only a 'range' of addresses to use (rather than the entire 'lower' 64-bits (interface identifier bits). This means that using a EUI64 identifier isn't possible (or at least not all 64-bits of it).

And, consider what RFC 3041 says:
"One way to avoid some of the problems discussed above is to use DHCP for obtaining addresses.  With DHCP, the DHCP server could arrange to hand out addresses that change over time."

Here it assumes that DHCPv6 servers would have a knob to "arrange to hand out addresses that changed over time". So, wouldn't we want to document this or at least draw some attention to it?

- Bernie Volz

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]
Sent: Friday, March 09, 2001 12:00 PM
To: DHCPv6 discussion list
Subject: RE: Server address assignment policies Re: [was: Temporary
Addres s Solution] 

/jim